## pysurfer 0.3%2Bgit15-gae6cbb1

=== debian/changelog ===
pysurfer (0.3+git15-gae6cbb1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing dependency on python-matplotlib, thanks to Jakub Wilk
   (closes: #684754).

 -- David Prévot <taffit@debian.org>  Fri, 24 Aug 2012 21:41:16 -0400

pysurfer (0.3+git15-gae6cbb1-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream snapshot.
  * Add mencoder as a recommended package. Required by
    animate().

  [ Yaroslav Halchenko ]
  * Specify minimal python version as 2.6

 -- Michael Hanke <mih@debian.org>  Mon, 04 Jun 2012 12:42:02 +0200

pysurfer (0.2+git29-g3a98681-1) unstable; urgency=low

  * Update to recent upstream snapshot (Closes: #641345).
  * Bump Standards-Version to 3.9.3, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Wed, 18 Apr 2012 12:38:01 +0200

pysurfer (0.1+git21-g55debc4-1) UNRELEASED; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Mon, 12 Sep 2011 20:13:01 +0200

## pysurfer 0.3+git15

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
EXAMPLEDIR      = examples

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* $(EXAMPLEDIR)/*

html:
	../bin/pysurfer --help > documentation/pysurfer_usage.txt
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySurfer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySurfer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PySurfer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PySurfer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pysurfer 0.3+git15-gae6cbb1

=== debian/changelog ===
pysurfer (0.3+git15-gae6cbb1-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 04 Jun 2012 09:19:01 -0400

=== debian/control ===
Source: pysurfer
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
 Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.6),
 python-support (>= 0.6), python-numpy, help2man, python-argparse,
 python-setuptools, python-nibabel
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://pysurfer.github.com
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pysurfer.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pysurfer.git

Package: python-surfer
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy,
 python-nibabel, python-imaging, mayavi2, python-argparse, ipython
XB-Python-Version: ${python:Versions}
Recommends: mencoder
Description: visualize Freesurfer's data in Python
 This is a Python package for visualization and interaction with cortical
 surface representations of neuroimaging data from Freesurfer. It
 extends Mayavi’s powerful visualization engine with a high-level interface for
 working with MRI and MEG data.
 .
 PySurfer offers both a command-line interface designed to broadly replicate
 Freesurfer’s Tksurfer program as well as a Python library for writing scripts
 to efficiently explore complex datasets.

## pysurfer 0.5

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

flake:
	if command -v flake8 > /dev/null; then \
	    flake8 --count surfer examples; \
	fi

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

nosetests:
	rm -f .coverage
	$(NOSETESTS) surfer

test: clean nosetests flake

=== debian/changelog ===
pysurfer (0.5-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - depend on python-pil as primary to python-imaging
    - boost policy to 3.9.6
    - added matplotlib, mayavi2, ipython to build-depends
    - moved away from pysupport
  * debian/watch
    - fixed up for github changes
  * debian/copyright
    - updated for years, names, bsd-3 license text

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 02 Oct 2014 07:52:31 -0400

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/nipy/Pysurfer/tags .*/tarball/(\d[\d\.]+)
opts="filenamemangle=s/.*v([\d\.]+)\..*/pysurfer_$1.orig.tar.gz/" \
 https://github.com/nipy/Pysurfer/tags .*/archive/v([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## pysurfer 0.6

=== debian/changelog ===
pysurfer (0.6-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Aug 2015 20:32:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: pysurfer
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>,
  Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.6),
- python-support (>= 0.6), python-numpy, help2man, python-argparse,
- python-setuptools, python-nibabel
-Standards-Version: 3.9.3
+ python-numpy,
+ help2man,
+ python-argparse,
+ python-setuptools,
+ python-nibabel,
+ mayavi2,
+ python-matplotlib,
+ ipython,
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.6
 Homepage: http://pysurfer.github.com
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pysurfer.git
@@ -16,8 +21,8 @@
 
 Package: python-surfer
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy,
- python-nibabel, python-imaging, mayavi2, python-argparse, ipython
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy,
+ python-nibabel, python-pil | python-imaging, mayavi2, python-argparse
 XB-Python-Version: ${python:Versions}
 Recommends: mencoder
 Description: visualize Freesurfer's data in Python

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | sed -e 's/-[^-]*$$//')

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local master branch must track upstreams
# master.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags $$(git merge-base -a HEAD master) | sed -e 's/-/+git/')


# one ring to rule them all ...
%:
# need to enforce distutils, since we also have a makefile
	dh $@ --with python2 --buildsystem=python_distutils --builddirectory=build

# tests need data files from Freesurfer -- need to wait
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	for buildver in $(shell pyversions -vr); do \
#		echo "I: Running PySurfer unittests using python$$buildver"; \
#		$(MAKE) unittest PYTHON=python$$buildver || exit 1 ;\
#	done
#endif

override_dh_installman:
	PYTHONPATH=. help2man --version-string="$(upstreamver)" -N \
		--no-discard-stderr \
		-n 'visualize cortical surface reconstruction from Freesurfer' \
		debian/python-surfer/usr/bin/pysurfer > build/pysurfer.1
	dh_installman build/pysurfer.1

override_dh_clean:
	rm -rf pysurfer.egg-info build
	dh_clean

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/nipy/Pysurfer/tags .*/tarball/(\d[\d\.]+)
opts="filenamemangle=s/.*\/v?([\d\.]+)\..*/pysurfer_$1.orig.tar.gz/" \
 https://github.com/nipy/Pysurfer/tags .*/archive/([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## pysurfer 0.7

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 clean: clean-build clean-pyc clean-so clean-ctags
 
 flake:
-	if command -v flake8 > /dev/null; then \
+	@if command -v flake8 > /dev/null; then \
 	    flake8 --count surfer examples; \
 	fi

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = python `which sphinx-build`
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
pysurfer (0.7-2) unstable; urgency=medium

  * Run help2man under xvfb to avoid manpage containing just an error
    message (Closes: #858848)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Mar 2017 17:09:17 -0400

pysurfer (0.7-1) unstable; urgency=medium

  * Fresh upstream release
    - could also use imageio library which is not yet in debian (wnpp #769767)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 Nov 2016 13:43:21 -0500

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  mayavi2,
  python-matplotlib,
  ipython,
+ xvfb, xauth,
 Standards-Version: 3.9.6
 XS-Python-Version: >= 2.6
 Homepage: http://pysurfer.github.com

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 #endif
 
 override_dh_installman:
-	PYTHONPATH=. help2man --version-string="$(upstreamver)" -N \
+	PYTHONPATH=. xvfb-run --auto-servernum help2man --version-string="$(upstreamver)" -N \
 		--no-discard-stderr \
 		-n 'visualize cortical surface reconstruction from Freesurfer' \
 		debian/python-surfer/usr/bin/pysurfer > build/pysurfer.1

## pysurfer 0.9.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html_stable      to make standalone HTML files (stable version)"
	@echo "  html_dev         to make standalone HTML files (dev version)"
	@echo "  html_dev-pattern to make standalone HTML files for one example dir (dev version)"
	@echo "  *-noplot     	  to make standalone HTML files without plotting"
	@echo "  dirhtml          to make HTML files named index.html in directories"
	@echo "  pickle           to make pickle files"
	@echo "  json             to make JSON files"
	@echo "  htmlhelp         to make HTML files and a HTML help project"
	@echo "  qthelp           to make HTML files and a qthelp project"
	@echo "  latex            to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes          to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck        to check all external links for integrity"
	@echo "  doctest          to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples
	-rm -rf auto_tutorials
	-rm -rf generated
	-rm -rf *.stc
	-rm -rf *.fif
	-rm -rf *.nii.gz

html_stable:
	$(SPHINXBUILD) -D -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html_stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html_stable."

html_dev:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"

html_dev-pattern:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"

html_dev-noplot:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MNE.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MNE.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

view:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/$(BUILDDIR)/html/index.html')"

show: view

=== debian/changelog ===
pysurfer (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937551
  * debian/control
    - update Breaks/Replaces to 0.7-2.1; Closes: #921183

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 23:36:28 -0500

pysurfer (0.9.0-2) unstable; urgency=medium

  * Team upload
  * Add NEWS.Debian about the move of the executable
  * Breaks / Replaces: python-surfer (<= 0.7-1)
    Closes: #921183

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 14:26:38 +0100

pysurfer (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * Simplify watch file
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Remove get-orig-source target - we can relay on release tags
  * Do not parse d/changelog
  * Drop ancient X-Python-Version field
  * remove outdated debian/pycompat
  * Add missing Build-Depends: dh-python, python
  * Add Python3 support
  * Run build time test using pytest but accept failures (which are
    basically rather caused by nibabel)
  * Provide binary in python3 package

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jan 2019 14:33:59 +0100

=== debian/control ===
Source: pysurfer
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               python3,
               python3-numpy,
               python3-setuptools,
               python3-nibabel,
               python3-matplotlib,
               python3-pytest,
               ipython3,
               help2man,
               mayavi2,
               xvfb,
               xauth
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/neurodebian-team/pysurfer
Vcs-Git: https://salsa.debian.org/neurodebian-team/pysurfer.git
Homepage: http://pysurfer.github.com

Package: python3-surfer
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-nibabel,
         python3-pil,
         mayavi2
Recommends: mencoder
Breaks: python-surfer (<= 0.7-2.1)
Replaces: python-surfer (<= 0.7-2.1)
Description: visualize Freesurfer's data in Python3
 This is a Python3 package for visualization and interaction with cortical
 surface representations of neuroimaging data from Freesurfer. It
 extends Mayavi’s powerful visualization engine with a high-level interface for
 working with MRI and MEG data.
 .
 PySurfer offers both a command-line interface designed to broadly replicate
 Freesurfer’s Tksurfer program as well as a Python library for writing scripts
 to efficiently explore complex datasets.

=== debian/watch ===
version=4

https://github.com/nipy/Pysurfer/tags .*/archive/v?([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## pysurfer 0.11.0

=== doc/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -nWT --keep-going
 SPHINXBUILD   = sphinx-build
-PAPER         =
+GPAPER         =
 BUILDDIR      = _build
 
 # Internal variables.
@@ -40,7 +40,7 @@
 	-rm -rf *.nii.gz
 
 html_stable:
-	$(SPHINXBUILD) -D -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html_stable
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html_stable
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html_stable."

=== debian/changelog ===
pysurfer (0.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * delete debian/gbp.conf after moving to default branch layout
  * Debian Med team maintenance
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Refresh patch with new version
  * Add "Rules-Requires-Root:no"
  * Fix+Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 29 Sep 2020 22:15:47 +0530

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pysurfer
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-numpy,
@@ -18,10 +17,11 @@
                mayavi2,
                xvfb,
                xauth
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/pysurfer
-Vcs-Git: https://salsa.debian.org/neurodebian-team/pysurfer.git
-Homepage: http://pysurfer.github.com
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/pysurfer
+Vcs-Git: https://salsa.debian.org/med-team/pysurfer.git
+Homepage: https://pysurfer.github.com
+Rules-Requires-Root: no
 
 Package: python3-surfer
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=surfer

%:
# need to enforce distutils, since we also have a makefile
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	 xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
	    dh_auto_test || true
endif

override_dh_install:
	dh_install
	rm -rf debian/python-surfer/usr/bin

override_dh_installman:
	mkdir -p debian/python3-surfer/usr/share/man/man1
	PYTHONPATH=. help2man --version-string="$(DEB_VERSION_UPSTREAM)" -N \
		--no-discard-stderr \
		-n 'visualize cortical surface reconstruction from Freesurfer' \
		debian/python3-surfer/usr/bin/pysurfer > debian/python3-surfer/usr/share/man/man1/pysurfer.1
	dh_installman

override_dh_clean:
	rm -rf pysurfer.egg-info build
	dh_clean

=== debian/tests/control ===
Test-Command: xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
Depends: @, python3-all, python3-pytest, xvfb, xauth
Restrictions: allow-stderr

## pysurfer 0.11.2

=== Makefile ===
--- 
+++ 
@@ -25,17 +25,17 @@
 
 flake:
 	@if command -v flake8 > /dev/null; then \
-	    flake8 --count surfer examples; \
+	    flake8 --exclude surfer/cm.py --count surfer examples; \
 	fi
 
 in: inplace # just a shortcut
 inplace:
 	$(PYTHON) setup.py build_ext -i
 
-nosetests:
+pytest:
 	rm -f .coverage
-	$(NOSETESTS) surfer
+	pytest surfer
 
-test: clean nosetests flake
+test: clean pytest flake

=== debian/changelog ===
pysurfer (0.11.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * python3.10.patch: delete: applied upstream.
  * numpy-1.24.patch: delete: applied upstream.
  * nibabel5.1.0.patch: delete: applied upstream.
  * fix_pytest.patch: mark forwarding not needed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Dec 2023 10:51:04 +0100

pysurfer (0.11.0-5) unstable; urgency=medium

  * nibabel5.1.0.patch: new: cherry pick fix.
    This corrects the autopkgtest failure triggered by introduction of
    nibabel 5.1.0 in Debian unstable.
  * d/control: add myself to uploaders.
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 14:03:53 +0200

pysurfer (0.11.0-4) unstable; urgency=medium

  * Team upload.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add patch to fix test failure with Numpy 1.24.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Jan 2023 09:00:47 +0530

pysurfer (0.11.0-3) unstable; urgency=medium

  * Team upload.
  * Add python3.10.patch to fix collections import (Closes: #1009110)
  * d/{copyright,control}: update home page

 -- Étienne Mollier <emollier@debian.org>  Fri, 08 Apr 2022 11:11:11 +0200

pysurfer (0.11.0-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:27:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pysurfer
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
-           Yaroslav Halchenko <debian@onerussian.com>
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3,
                python3-numpy,
                python3-setuptools,
@@ -17,10 +18,10 @@
                mayavi2,
                xvfb,
                xauth
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/pysurfer
 Vcs-Git: https://salsa.debian.org/med-team/pysurfer.git
-Homepage: https://pysurfer.github.com
+Homepage: https://pysurfer.github.io
 Rules-Requires-Root: no
 
 Package: python3-surfer
@@ -33,8 +34,6 @@
          python3-pil,
          mayavi2
 Recommends: mencoder
-Breaks: python-surfer (<= 0.7-2.1)
-Replaces: python-surfer (<= 0.7-2.1)
 Description: visualize Freesurfer's data in Python3
  This is a Python3 package for visualization and interaction with cortical
  surface representations of neuroimaging data from Freesurfer. It

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 %:
 # need to enforce distutils, since we also have a makefile
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4

https://github.com/nipy/Pysurfer/tags .*/v?([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
